// SPDX-License-Identifier: GPL-2.0
#ifndef AC71_WMI_EVENTS_H
#define AC71_WMI_EVENTS_H

#if IS_ENABLED(CONFIG_LEDS_CLASS)

#include <linux/init.h>

int  __init ac71_wmi_events_setup(void);
void        ac71_wmi_events_cleanup(void);

#else

static inline int ac71_wmi_events_setup(void)
{
	return 0;
}

static inline void ac71_wmi_events_cleanup(void)
{

}

#endif

#endif /* AC71_WMI_EVENTS_H */
